Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.sms
Class SMSMessage

    java.lang.Object
      com.knowgate.sms.SMSMessage

    public class SMSMessage

extends java.lang.Object

Nested Class Summary
`static class` | `SMSMessage.MType`

Constructor Summary
`SMSMessage(SMSMessage.MType eMessageType, java.lang.String sUniqueId, java.lang.String sCustomerAccount, java.lang.String sMsisdnRecipient, java.lang.String sMessageSubject, java.lang.String sMessageText, java.lang.String sCharacterEncoding, java.util.Date dtMessageDate)` Constructor

Method Summary
`java.lang.String` | `customerAccount()`
`java.util.Date` | `dateStamp()`
`java.lang.String` | `messageId()`
`java.lang.String` | `msisdnNumber()`
`SMSMessage.MType` | `mType()`
`java.lang.String` | `subject()`
`java.lang.String` | `textBody()`
`java.lang.String` | `textEncoding()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMSMessage

    public SMSMessage(SMSMessage.MType eMessageType,
                      java.lang.String sUniqueId,
                      java.lang.String sCustomerAccount,
                      java.lang.String sMsisdnRecipient,
                      java.lang.String sMessageSubject,
                      java.lang.String sMessageText,
                      java.lang.String sCharacterEncoding,
                      java.util.Date dtMessageDate)
               throws java.lang.StringIndexOutOfBoundsException

  Constructor

  Parameters:
    `eMessageType` - MType SMS Message Type. It must be SMSMessage.MType.PLAIN_TEXT for standard SMS
    `sUniqueId` - String Unique identifier of message (ony required for incoming message)
    `sCustomerAccount` - String Unique identifier of customer account (for billing)
    `sMsisdnRecipient` - String MSISDN Must be like +34609696969 plus sign and country code are mandatory, plus the digits of the phone number without any space nor other signs.
    `sMessageSubject` - String Message Subject up to 40 characters
    `sMessageText` - String Up to 160 characters for ISO-8859-1 encoding or less for other encodings
    `sCharacterEncoding` - String Character encoding as defined at http://java.sun.com/j2se/1.5.0/docs/guide/intl/encoding.doc.html
    `dtMessageDate` - Optional Date when sent or received. If this parameter is null then the message will be sent as soon as posible.
  Throws:
    `java.lang.StringIndexOutOfBoundsException`

Method Detail

### messageId

    public java.lang.String messageId()

### mType

    public SMSMessage.MType mType()

### customerAccount

    public java.lang.String customerAccount()

### msisdnNumber

    public java.lang.String msisdnNumber()

### subject

    public java.lang.String subject()

### textBody

    public java.lang.String textBody()

### textEncoding

    public java.lang.String textEncoding()

### dateStamp

    public java.util.Date dateStamp()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD